<?xml version="1.0" encoding="UTF-8"?>
<!--
This stylesheet converts taxonomies from their XML representation to
an HTML tree. Its basically a preety-printer.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- ************************************ -->
	<xsl:output method="xml" version="1.0" omit-xml-declaration="yes" indent="yes" encoding="utf-8"/>
	<!-- ************************************ -->
	<xsl:param name="searchIndex"/>
	<xsl:param name="allowMultipleSelection"/>
	<xsl:param name="contextPath"/>
	
<!--xsl:template match="*"> FOR DEBUGGING!
  <xsl:copy-of select="." /> 
</xsl:template-->
<!--<xsl:variable name="allowMultipleSelection">no</xsl:variable> -->
	<!-- ************************************ -->
	<xsl:template match="/skosView">
		<xsl:variable name="schemeCode"><xsl:value-of select="@about"/></xsl:variable>
		<ul class="controlledvocabulary">
			<xsl:apply-templates/>
		</ul>
	</xsl:template>
	<!-- ************************************ -->

	<xsl:template match="narrower">
		<li>
			<!--** place icon ** -->
			<xsl:choose>
				<xsl:when test="./narrower">
					<img class="controlledvocabulary">
						<xsl:attribute name="src"><xsl:value-of select="$contextPath"/>/img/p.gif</xsl:attribute>
						<xsl:attribute name="onclick">ec(this, '<xsl:value-of select="$contextPath"/>');</xsl:attribute>
						<xsl:attribute name="alt">expand search term category</xsl:attribute>
					</img>
				</xsl:when>
				<xsl:otherwise>
					<img class="dummyclass">
						<xsl:attribute name="src"><xsl:value-of select="$contextPath"/>/img/f.gif</xsl:attribute>
						<xsl:attribute name="alt">search term</xsl:attribute>
					</img>
				</xsl:otherwise>
			</xsl:choose>
			<!--** place check box if necessary** -->
			<xsl:choose>
				<xsl:when test="$allowMultipleSelection='yes'">
					<xsl:variable name="nodePath">
						<xsl:call-template name="getNodePath"/>
					</xsl:variable>
					<xsl:variable name="checkBoxName">cb_<xsl:value-of select="generate-id()"/>
					</xsl:variable>
					<input class="controlledvocabulary" type="checkbox" name="{$checkBoxName}" value="{$nodePath}"/>
					<xsl:value-of select="prefLabel"/>
				</xsl:when>
				<xsl:otherwise>
					<a class="value" href="javascript:void(null);">
						<xsl:attribute name="href"><xsl:value-of select="$contextPath"/>/concept.jsp?concept=<xsl:value-of select="/skosView/@about"/>_<xsl:value-of select="@about"/></xsl:attribute>
						<xsl:attribute name="class">value</xsl:attribute>
						<xsl:value-of select="prefLabel"/>
					</a>
				</xsl:otherwise>
			</xsl:choose>
			<!--** render narrower ** -->
			<xsl:if test="./narrower">
				<ul class="controlledvocabulary">
					<xsl:apply-templates select="narrower"/>
				</ul>
			</xsl:if>
		</li>
	</xsl:template>
	<!-- ************************************ -->
	<xsl:template match="text"/>
	<!-- ************************************ -->
	<xsl:template match="text()" priority="-1"/>
	<!-- ************************************ -->
	<xsl:template name="getNodePath">
		<!--xsl:for-each select="ancestor::node"><xsl:value-of select="@label"/>::</xsl:for-each--><xsl:value-of select="/skosView/@about"/>_<xsl:value-of select="@about"/>
	</xsl:template>
	<!-- ************************************ -->
</xsl:stylesheet>
